summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-07-29 11:17:59 +0200
committerDavid Seifert <soap@gentoo.org>2017-07-29 11:19:06 +0200
commita4708f79ea39cabbf7231fdedecf6ee8a525a3e6 (patch)
tree4db83c4eb5d5ebc398fd8bd9b4d824111d30e81b /sci-libs/htslib
parentapp-backup/spideroak-bin: remove older versions (diff)
downloadgentoo-a4708f79ea39cabbf7231fdedecf6ee8a525a3e6.tar.gz
gentoo-a4708f79ea39cabbf7231fdedecf6ee8a525a3e6.tar.bz2
gentoo-a4708f79ea39cabbf7231fdedecf6ee8a525a3e6.zip
sci-libs/htslib: Bump to version 1.5
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Diffstat (limited to 'sci-libs/htslib')
-rw-r--r--sci-libs/htslib/Manifest1
-rw-r--r--sci-libs/htslib/htslib-1.5.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/sci-libs/htslib/Manifest b/sci-libs/htslib/Manifest
index 79fe19162ed..728098018cc 100644
--- a/sci-libs/htslib/Manifest
+++ b/sci-libs/htslib/Manifest
@@ -3,3 +3,4 @@ DIST htslib-1.1.tar.bz2 844870 SHA256 204e894074d9a864d27b607fda19f6240c5da351bb
DIST htslib-1.2.1.tar.bz2 911326 SHA256 bddb1372b9215b32e0f21d8394bab859c57cb00324a8dc06775cdac5b4d662b0 SHA512 23db1861cd08b503223f14dcbbdf9c6ae24dec648c987816abc47cc85fa7287c2405be72193cf492fff4f5991ff7b1f55dc386004588971a0e43a2f1c7355199 WHIRLPOOL d81f1cc74bb7e70d538f3e616f290a50017c56c517d9986f84c897b75524848135dd1788f92ff983c701ab7d5e84163123c570a200b83bea6a7922f4c1293107
DIST htslib-1.3.1.tar.bz2 983165 SHA256 49d53a2395b8cef7d1d11270a09de888df8ba06f70fe68282e8235ee04124ae6 SHA512 cdc34166d36a3bf4479d020a2352fe6e8fb7ad92c3205b3fbde3e83b0916cffcfdcf2f28a68a4937e58b903ea8913558ae3a90c2445212da1f25a3b30c43d786 WHIRLPOOL 474de4015cf4f8c2b469f45693ba3e677be246b946a8ba70205219dd25f16ce85def7c062c4073326aa0a795a732e84664ab7df2c002cca6e47abce7777b145c
DIST htslib-1.3.tar.bz2 952864 SHA256 f203af750ccc80fd421c70a04d90a03097d2ef2abe0e6d8f0ae6435d6c11aeab SHA512 1a96fd22632b4a593596645b3a40aa59aaaaa9f342f97ec8c1807fe4058576420ba2c6279594d00bfc67db93aa858bd63bf3e2cf1a63e79605791c6f8aef097c WHIRLPOOL 49140830c525cea21533cc9924a5f0a5e6aecef24cf7ac58ddc959faac205b1bcc2d6f423daab6d6ff8cb5c9ad5b750cfef9e7181a68485ab35e10b7932ab4a6
+DIST htslib-1.5.tar.bz2 1051132 SHA256 a02b515ea51d86352b089c63d778fb5e8b9d784937cf157e587189cb97ad922d SHA512 fd58552ddbd178f9797123fdaf47914ccd0e2aefd055fc6557ac8f479c600775616107cfa871c3acd93079f45974a19f443941a79f2acfd2a8c2983ef35b8917 WHIRLPOOL fb7026c26816db6746006d1b5ade235ce10181a633c9bab8ed3d9f72aaa152d0b68fd69d8988d69fef2bd2d57f9676de0761b2577ef0dd1d334da5d028cb64ee
diff --git a/sci-libs/htslib/htslib-1.5.ebuild b/sci-libs/htslib/htslib-1.5.ebuild
new file mode 100644
index 00000000000..d9957ce3a17
--- /dev/null
+++ b/sci-libs/htslib/htslib-1.5.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="C library for high-throughput sequencing data formats"
+HOMEPAGE="http://www.htslib.org/"
+SRC_URI="mirror://sourceforge/samtools/${PV}/${P}.tar.bz2"
+
+SLOT="0/2"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+bzip2 curl +lzma static-libs"
+
+RDEPEND="
+ bzip2? ( app-arch/bzip2 )
+ curl? ( net-misc/curl )
+ lzma? ( app-arch/xz-utils )"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf \
+ --disable-gcs \
+ --disable-plugins \
+ --disable-s3 \
+ $(use_enable bzip2 bz2) \
+ $(use_enable curl libcurl) \
+ $(use_enable lzma)
+}
+
+src_install() {
+ default
+
+ if ! use static-libs; then
+ find "${D}" -name '*.a' -delete || die
+ fi
+}